Summary: Czech Linux Manual Pages
Name: man-pages-cs
Version: 0.10
Release: 1
Copyright: distributable
Group: Documentation
Source: ftp://ftp.inet.cz/pub/People/Pavel.Janik/CeskeManualoveStranky/man-pages-cs-0.10.tar.gz
Source1: makewhatis.cs
BuildRoot: /var/tmp/man-pages-cs-root
Icon: books-cs.gif
AutoReqProv: false
BuildArchitectures: noarch
Summary(cs): esk manulov strnky

%description
This package contains Linux man pages in Czech.

%description -l cs
Spousta informac v etin o pkazech, souborech a jejich formtech, ...

%prep
%setup -n man-pages-cs-0.10

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/cs/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/cs/cat{1,2,3,4,5,6,7,8,9,n}
make MANDIR=$RPM_BUILD_ROOT/usr/man/cs

mkdir -p $RPM_BUILD_ROOT/usr/sbin

install -m 755 $RPM_SOURCE_DIR/makewhatis.cs $RPM_BUILD_ROOT/usr/sbin/makewhatis.cs

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-cs.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.cs /usr/man/cs
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-cs.cron

%clean
rm -r $RPM_BUILD_ROOT

%files
%doc README* man-pages-* CONTRIB
/usr/man/cs
/var/catman/cs
/usr/sbin/makewhatis.cs
%config /etc/cron.weekly/makewhatis-cs.cron
